Network Manager not working properly after update

Everything about X, Gnome, KDE, ... and everything running on it

Network Manager not working properly after update

Postby hellvetica » 2017-09-26 15:47

Hi,
Ever since i started running Debian I've had no issues with my network card. However, last night the OS asked me to install some important automatic updates and after installation to reboot. Upon reboot i realized that i have no internet connection. I checked my drop down gnome toolbar thing (I don't know what it's actually called) and where i usually have my wifi or ethernet settings there was nothing.
[img]
https://i.imgur.com/JDzL1bs.jpg
[/img]

Obviously i thought my network manager wasn't running so i ran.
Code: Select all
sudo service network-manager restart

Then the usual wifi icon appeared
[img]
https://i.imgur.com/RSOgYGJ.jpg
[/img]

However if i go into wifi settings it is also empty when it used to show my wifi and ethernet and provide all the settings for them.
[img]
https://i.imgur.com/oCz4eGO.jpg
[/img]
And if i try to select a network it just ends up stuck scanning with no results
[img]
https://i.imgur.com/QxpXRvx.jpg
[/img]

I tried reinstalling my network-manager but it did nothing.

These are the contents of my /etc/network/interfaces file
Code: Select all
auto lo
iface lo inet loopback

an my /etc/NetworkManager/NetworkManager.conf
Code: Select all
[main]
plugins=ifupdown,keyfile

[ifupdown]
managed=false

I tried setting managed to true but as expected that did nothing as no networks have been defined in interfaces.
I know for a fact that my network card and drivers are properly set up because if i define wlan0 in interfaces and start it with
Code: Select all
sudo ifup wlan0
i get a proper connection.
I couldn't find anything useful online as most of the posts refer to NetworkManager and the Interfaces file colliding which is not the case here.

I'm running Debian 8 with GNOME-shell version 3.14.4

Any help would be appreciated.
Thanks
hellvetica
 
Posts: 28
Joined: 2017-03-12 16:35

Re: Network Manager not working properly after update

Postby stevepusser » 2017-09-26 17:23

We can take a look at those important updates to see if they could have any bearing on your issue. They should be recorded in /var/log/apt/history.log, with the most recent ones at the end.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8938
Joined: 2009-10-06 05:53

Re: Network Manager not working properly after update

Postby hellvetica » 2017-09-26 17:33

stevepusser wrote:We can take a look at those important updates to see if they could have any bearing on your issue. They should be recorded in /var/log/apt/history.log, with the most recent ones at the end.


Here is the log of that particular update batch. There are a lot of updates here
Code: Select all
Start-Date: 2017-09-25  20:51:30
Install: libjsoncpp0:amd64 (0.6.0~rc2-3.1, automatic)
Upgrade: bind9-host:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libwinpr-thread0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), liblwres90:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), freerdp-x11:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), gir1.2-evince-3.0:amd64 (3.14.1-2+deb8u1, 3.14.1-2+deb8u2), libgnutls-openssl27:amd64 (3.3.8-6+deb8u5, 3.3.8-6+deb8u7), libfreerdp-client1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), host:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libvlc-dev:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), multiarch-support:amd64 (2.19-18+deb8u9, 2.19-18+deb8u10), libwinpr-utils0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libdns100:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), perl:amd64 (5.20.2-3+deb8u6, 5.20.2-3+deb8u9), libisc-export95:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), linux-image-3.16.0-4-amd64:amd64 (3.16.43-2, 3.16.43-2+deb8u5), libimage-magick-q16-perl:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), libfreerdp-core1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libisccfg90:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), evince:amd64 (3.14.1-2+deb8u1, 3.14.1-2+deb8u2), libwinpr-synch0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), exim4-base:amd64 (4.84.2-2+deb8u3, 4.84.2-2+deb8u4), perl-base:amd64 (5.20.2-3+deb8u6, 5.20.2-3+deb8u9), libgail18:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), os-prober:amd64 (1.65, 1.65+deb8u1), libpam0g:amd64 (1.1.8-3.1+deb8u2, 1.1.8-3.1+deb8u2+b1), libgraphite2-3:amd64 (1.3.6-1~deb8u1, 1.3.10-1~deb8u1), libgraphite2-3:i386 (1.3.6-1~deb8u1, 1.3.10-1~deb8u1), libbind9-90:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libwinpr-pool0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libmwaw-0.3-3:amd64 (0.3.1-2, 0.3.1-2+deb8u1), tcpdump:amd64 (4.9.0-1~deb8u1, 4.9.2-1~deb8u1), vlc-plugin-notify:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), libsoup2.4-1:amd64 (2.48.0-1, 2.48.0-1+deb8u1), libgnutls-deb0-28:amd64 (3.3.8-6+deb8u5, 3.3.8-6+deb8u7), libgnutls-deb0-28:i386 (3.3.8-6+deb8u5, 3.3.8-6+deb8u7), libgnutls28-dev:amd64 (3.3.8-6+deb8u5, 3.3.8-6+deb8u7), libwinpr-handle0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libc6-i686:i386 (2.19-18+deb8u9, 2.19-18+deb8u10), libwinpr-crt0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libvlccore8:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), debconf:amd64 (1.5.56, 1.5.56+deb8u1), libfreerdp-cache1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libwinpr-interlocked0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), vlc-nox:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), exim4:amd64 (4.84.2-2+deb8u3, 4.84.2-2+deb8u4), libgdk-pixbuf2.0-common:amd64 (2.31.1-2+deb8u5, 2.31.1-2+deb8u6), perlmagick:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), bluetooth:amd64 (5.23-2, 5.23-2+deb8u1), vlc-plugin-samba:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), libtiff5:amd64 (4.0.3-12.3+deb8u3, 4.0.3-12.3+deb8u4), libtiff5:i386 (4.0.3-12.3+deb8u3, 4.0.3-12.3+deb8u4), libtiffxx5:amd64 (4.0.3-12.3+deb8u3, 4.0.3-12.3+deb8u4), libexpat1-dev:amd64 (2.1.0-6+deb8u3, 2.1.0-6+deb8u4), libc-dev-bin:amd64 (2.19-18+deb8u9, 2.19-18+deb8u10), libfreerdp-codec1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libwinpr-input0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), xwayland:amd64 (1.16.4-1, 1.16.4-1+deb8u1+b1), gtk2-engines-pixbuf:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), libc-bin:amd64 (2.19-18+deb8u9, 2.19-18+deb8u10), libc6:amd64 (2.19-18+deb8u9, 2.19-18+deb8u10), libc6:i386 (2.19-18+deb8u9, 2.19-18+deb8u10), libfreerdp-gdi1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), gir1.2-gdkpixbuf-2.0:amd64 (2.31.1-2+deb8u5, 2.31.1-2+deb8u6), xserver-xorg-core:amd64 (1.16.4-1, 1.16.4-1+deb8u1+b1), exim4-daemon-light:amd64 (4.84.2-2+deb8u3, 4.84.2-2+deb8u4), evince-common:amd64 (3.14.1-2+deb8u1, 3.14.1-2+deb8u2), python-libxml2:amd64 (2.9.1+dfsg1-5+deb8u4, 2.9.1+dfsg1-5+deb8u5), libwinpr-heap0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libgtk2.0-bin:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), libgtk2.0-common:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), dnsutils:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libperl5.20:amd64 (5.20.2-3+deb8u6, 5.20.2-3+deb8u9), libbluetooth3:amd64 (5.23-2+b1, 5.23-2+deb8u1), libwinpr-rpc0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), iceweasel:amd64 (45.9.0esr-1~deb8u1, 52.3.0esr-1~deb8u2), vlc-data:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), base-files:amd64 (8+deb8u8, 8+deb8u9), gir1.2-gtk-2.0:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), gnupg:amd64 (1.4.18-7+deb8u3, 1.4.18-7+deb8u4), linux-headers-3.16.0-4-amd64:amd64 (3.16.43-2, 3.16.43-2+deb8u5), libwinpr-library0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libgd3:amd64 (2.1.0-5+deb8u9, 2.1.0-5+deb8u11), libgd3:i386 (2.1.0-5+deb8u9, 2.1.0-5+deb8u11), xserver-common:amd64 (1.16.4-1, 1.16.4-1+deb8u1), w3m:amd64 (0.5.3-19+deb8u1, 0.5.3-19+deb8u2), libraw10:amd64 (0.16.0-9+deb8u2, 0.16.0-9+deb8u3), libpam-modules:amd64 (1.1.8-3.1+deb8u2, 1.1.8-3.1+deb8u2+b1), openjdk-7-jre-headless:amd64 (7u131-2.6.9-2~deb8u1, 7u151-2.6.11-1~deb8u1), libfreerdp-locale1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libfreerdp-plugins-standard:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), debconf-i18n:amd64 (1.5.56, 1.5.56+deb8u1), libfreerdp-primitives1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libxml2:amd64 (2.9.1+dfsg1-5+deb8u4, 2.9.1+dfsg1-5+deb8u5), libxml2:i386 (2.9.1+dfsg1-5+deb8u4, 2.9.1+dfsg1-5+deb8u5), libimage-magick-perl:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), libwinpr-registry0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libsoup-gnome2.4-1:amd64 (2.48.0-1, 2.48.0-1+deb8u1), imagemagick-6.q16:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), libxml2-dev:amd64 (2.9.1+dfsg1-5+deb8u4, 2.9.1+dfsg1-5+deb8u5), perl-modules:amd64 (5.20.2-3+deb8u6, 5.20.2-3+deb8u9), libdvdnav4:amd64 (5.0.1-1, 5.0.1-1+deb8u1), libwinpr-sspi0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), samba-libs:amd64 (4.2.14+dfsg-0+deb8u6, 4.2.14+dfsg-0+deb8u8), libevview3-3:amd64 (3.14.1-2+deb8u1, 3.14.1-2+deb8u2), bluez-obexd:amd64 (5.23-2+b1, 5.23-2+deb8u1), mysql-common:amd64 (5.5.55-0+deb8u1, 5.5.57-0+deb8u1), xserver-xephyr:amd64 (1.16.4-1, 1.16.4-1+deb8u1+b1), firefox-esr:amd64 (45.9.0esr-1~deb8u1, 52.3.0esr-1~deb8u2), bluez:amd64 (5.23-2+b1, 5.23-2+deb8u1), exim4-config:amd64 (4.84.2-2+deb8u3, 4.84.2-2+deb8u4), libc6-amd64:i386 (2.19-18+deb8u9, 2.19-18+deb8u10), libgtk2.0-0:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), libgtk2.0-0:i386 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), imagemagick:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), libmysqlclient18:amd64 (5.5.55-0+deb8u1, 5.5.57-0+deb8u1), git-man:amd64 (2.1.4-2.1+deb8u3, 2.1.4-2.1+deb8u4), libfreerdp-rail1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), openjdk-7-jre:amd64 (7u131-2.6.9-2~deb8u1, 7u151-2.6.11-1~deb8u1), libmysqlclient-dev:amd64 (5.5.55-0+deb8u1, 5.5.57-0+deb8u1), git:amd64 (2.1.4-2.1+deb8u3, 2.1.4-2.1+deb8u4), linux-compiler-gcc-4.8-x86:amd64 (3.16.43-2, 3.16.43-2+deb8u5), libfreerdp-common1.1.0:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libfreerdp-crypto1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), gpgv:amd64 (1.4.18-7+deb8u3, 1.4.18-7+deb8u4), libpam-modules-bin:amd64 (1.1.8-3.1+deb8u2, 1.1.8-3.1+deb8u2+b1), libmagickwand-6.q16-2:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), libwinpr-path0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libtiff5-dev:amd64 (4.0.3-12.3+deb8u3, 4.0.3-12.3+deb8u4), libwinpr-dsparse0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libmspack0:amd64 (0.5-1, 0.5-1+deb8u1), libc6-i386:amd64 (2.19-18+deb8u9, 2.19-18+deb8u10), vlc:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), libvlc5:amd64 (2.2.5-1~deb8u1, 2.2.6-1~deb8u1), libgdk-pixbuf2.0-0:amd64 (2.31.1-2+deb8u5, 2.31.1-2+deb8u6), libgdk-pixbuf2.0-0:i386 (2.31.1-2+deb8u5, 2.31.1-2+deb8u6), libevdocument3-4:amd64 (3.14.1-2+deb8u1, 3.14.1-2+deb8u2), libwinpr-sysinfo0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libexpat1:amd64 (2.1.0-6+deb8u3, 2.1.0-6+deb8u4), libexpat1:i386 (2.1.0-6+deb8u3, 2.1.0-6+deb8u4), libgdk-pixbuf2.0-dev:amd64 (2.31.1-2+deb8u5, 2.31.1-2+deb8u6), libmagick++-6.q16-5:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), debian-archive-keyring:amd64 (2014.3, 2017.5~deb8u1), imagemagick-common:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), libwbclient0:amd64 (4.2.14+dfsg-0+deb8u6, 4.2.14+dfsg-0+deb8u8), libwinpr-environment0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), dns-root-data:amd64 (2014060201+2, 2017072601~deb8u1), libmagickcore-6.q16-2-extra:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), linux-libc-dev:amd64 (3.16.43-2, 3.16.43-2+deb8u5), libgnutlsxx28:amd64 (3.3.8-6+deb8u5, 3.3.8-6+deb8u7), libisccfg-export90:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libdns-export100:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libxml2-utils:amd64 (2.9.1+dfsg1-5+deb8u4, 2.9.1+dfsg1-5+deb8u5), linux-headers-3.16.0-4-common:amd64 (3.16.43-2, 3.16.43-2+deb8u5), libmagickcore-6.q16-2:amd64 (6.8.9.9-5+deb8u9, 6.8.9.9-5+deb8u10), libfreerdp-utils1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libgtk2.0-dev:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), libffi-dev:amd64 (3.1-2+b2, 3.1-2+deb8u1), locales:amd64 (2.19-18+deb8u9, 2.19-18+deb8u10), gir1.2-soup-2.4:amd64 (2.48.0-1, 2.48.0-1+deb8u1), libirs-export91:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libisccc90:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libwinpr-file0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libc6-dev:amd64 (2.19-18+deb8u9, 2.19-18+deb8u10), libsmbclient:amd64 (4.2.14+dfsg-0+deb8u6, 4.2.14+dfsg-0+deb8u8), libisc95:amd64 (9.9.5.dfsg-9+deb8u11, 9.9.5.dfsg-9+deb8u14), libwinpr-crypto0.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libgail-common:amd64 (2.24.25-3+deb8u1, 2.24.25-3+deb8u2), libgcrypt20:amd64 (1.6.3-2+deb8u2, 1.6.3-2+deb8u4), libgcrypt20:i386 (1.6.3-2+deb8u2, 1.6.3-2+deb8u4), libxfreerdp-client1.1:amd64 (1.1.0~git20140921.1.440916e+dfsg1-4, 1.1.0~git20140921.1.440916e+dfsg1-4+deb8u1), libffi6:amd64 (3.1-2+b2, 3.1-2+deb8u1), libffi6:i386 (3.1-2+b2, 3.1-2+deb8u1)
End-Date: 2017-09-25  21:10:02
hellvetica
 
Posts: 28
Joined: 2017-03-12 16:35

Re: Network Manager not working properly after update

Postby fmp » 2017-10-14 21:16

hellvetica wrote:These are the contents of my /etc/network/interfaces file
Code: Select all
auto lo
iface lo inet loopback

an my /etc/NetworkManager/NetworkManager.conf
Code: Select all
[main]
plugins=ifupdown,keyfile

[ifupdown]
managed=false



Try
Code: Select all
nmcli dev status


Get something like:
Code: Select all
wlan0           wifi      unmanaged  --           
enp1s0           ethernet  unavailable   --           
lo               loopback  unmanaged


Code: Select all
nmcli dev set wlan0 managed yes


Code: Select all
service network-manager restart


If fails try,
Code: Select all
nmcli wlan0 up
or
Code: Select all
ifconfig wlan0 up


and
Code: Select all
systemctl enable wpa_supplicant


If that doesn't work, do you always see the connection name in your DE when you click on connections, now? I would see the slots for my two cards (PCI & USB) but no 'name' until I ran the above commands.

I had an issue yesterday (not related to an update), I switched back to NM from wicd to utilize ease of VPN setups. Though because I had to reinstall network manager, I wonder if the newest release is buggy.

If you're using ThinkPenguin's wifi adapters, try the network-manager patch:
https://www.thinkpenguin.com/gnu-linux/ ... re-install

If all else fails, I find wicd to be superior to network manager & far more reliable. (Just disable/purge network manager if you go with wicd, as they will conflict)
fmp
 
Posts: 26
Joined: 2017-09-09 04:01


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 4 guests

fashionable